Anonymous Login
2020-01-23 08:23 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001541OpenClonkObjectspublic2016-01-20 08:45
ReporterMarky 
Assigned ToZapper 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001541: Contents menu is broken when inside container
DescriptionThis is not a use case in the normal game, so I categorized this as a feature request.

Whenever I enter a building that is a container (IsContainer() returns true), and open the contents menu inside it, then the surroundings tab is displayed for a short time and after that the menu is empty, without any options. I can provide a screenshot if that is helpful.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004502

Zapper (developer)

Last edited: 2016-01-09 12:10

View 2 revisions

What would the proposed solution be?

I guess when you are inside a container, you should only be able to transfer items between yourself, the container and all other containers inside that container?

(And not e.g. the surrounding or a lorry in front of the container.)

~0004503

Maikel (developer)

Yes, that sound right Zapper.

~0004588

Zapper (developer)

Last edited: 2016-01-14 12:07

View 2 revisions

I fixed that now.

However, if you have lorries in a (IsContainer) building, you can take them into your hand.

And Clonks inside IsContainer-buildings stack.

Since both things can not happen in the core game (and both are easily fixed by an #appendto in a line or two), I leave it for now. Please do tell if you need additional features!

+Notes

-Issue History
Date Modified Username Field Change
2016-01-08 19:51 Marky New Issue
2016-01-09 12:10 Zapper Note Added: 0004502
2016-01-09 12:10 Zapper Note Edited: 0004502 View Revisions
2016-01-09 12:33 Maikel Note Added: 0004503
2016-01-14 12:05 Zapper Note Added: 0004588
2016-01-14 12:07 Zapper Note Edited: 0004588 View Revisions
2016-01-14 12:07 Zapper Status new => resolved
2016-01-14 12:07 Zapper Resolution open => fixed
2016-01-14 12:07 Zapper Assigned To => Zapper
+Issue History